<?php
/**
 * Createing an  pannel for customizer
 */

// START ABOUT SECTION 
$wp_customize->add_section(
    'luzuk_them_premium_ourfeatureshmp_section',
    array(
        'title' => __( 'Our Packages Section', 'luzuk-premium' ),
        'panel' => 'luzuk_them_premium_home_panel'
    )
);
    // ENABLE/DISABLE FEATURED SECTION
$wp_customize->add_setting(
    'luzuk_them_premium_ourfeatureshmp_section_disable',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_them_Switch_Control(
        $wp_customize,
        'luzuk_them_premium_ourfeatureshmp_section_disable',
        array(
            'settings'      => 'luzuk_them_premium_ourfeatureshmp_section_disable',
            'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);


backgroundManager($wp_customize, 'features', 'luzuk_them_premium_ourfeatureshmp_section', $color='#ffffff', get_template_directory_uri().'/images/default-gray.png', 'img');


addColorPalatOption($wp_customize, 'lz_features_secupertopColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Select Section Top Background color', '#332931');

//button
lzCustomLable($wp_customize, 'luzuk_them_premium_features_lblbutton1display', 'luzuk_them_premium_ourfeatureshmp_section', 'Section Top Background Color Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'featurestopcolor_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'featurestopcolor_button_display', array( 'label' => 'Display Top Background', 'section' => 'luzuk_them_premium_ourfeatureshmp_section', 'settings' => 'featurestopcolor_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

//backgroundManager($wp_customize, 'features', 'luzuk_them_premium_ourfeatureshmp_section', $color='#ffffff', get_template_directory_uri().'/images/pakagesbg.jpg', 'color');


lzCustomLable($wp_customize, 'luzuk_them_sec_ourpetssectionpadding', 'luzuk_them_premium_ourfeatureshmp_section', 'Set Padding For Section:');

$wp_customize->add_setting(
    'sec_ourpetssectionTpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '5em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetssectionTpadding',
    array(
        'settings'      => 'sec_ourpetssectionTpadding',
        'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_ourpetssectionBpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '5em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetssectionBpadding',
    array(
        'settings'      => 'sec_ourpetssectionBpadding',
        'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_ourpetssectionLpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetssectionLpadding',
    array(
        'settings'      => 'sec_ourpetssectionLpadding',
        'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_ourpetssectionRpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetssectionRpadding',
    array(
        'settings'      => 'sec_ourpetssectionRpadding',
        'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'lz-fitness-premium' )
    )
);


 

$wp_customize->add_setting(
    'luzuk_them_features_title_heading',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_them_Customize_Heading(
        $wp_customize,
        'luzuk_them_features_title_heading',
        array(
            'settings'      => 'luzuk_them_features_title_heading',
            'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
            'label'         => __( 'Section Title & Sub Text', 'luzuk-premium' ),
        )
    )
);  


$wp_customize->add_setting(
    'luzuk_them_ourfeatureshmp_title',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( 'Our Packages', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'luzuk_them_ourfeatureshmp_title',
    array(
        'settings'      => 'luzuk_them_ourfeatureshmp_title',
        'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Title for Section', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_them_ourfeatureshmp_MainHeadingColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Section Title color ', '#fff');

addColorPalatOption($wp_customize, 'luzuk_them_ourfeatureshmp_MainsubHeadingbrsColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Title Border color ', '#fb6f58');

lzAddElement($wp_customize, 'luzuk_them_ourfeatureshmp_sub_title', 'luzuk_them_premium_ourfeatureshmp_section', 'textarea', $label="Sub Title", 'luzuk_them_sanitize_text', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words.');

addColorPalatOption($wp_customize, 'luzuk_them_ourfeatureshmp_MainsubHeadingColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Section Sub Text color ', '#ffffff');





$wp_customize->add_setting('luzuk_them_ourpetsslb_section_lbl', array('sanitize_callback'=>'luzuk_them_sanitize_text'));
$wp_customize->add_control(
    new luzuk_them_Info_Text( 
        $wp_customize,
        'luzuk_them_ourpetsslb_section_lbl',
        array(
            'settings'      => 'luzuk_them_ourpetsslb_section_lbl',
            'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
            'label'         => __( 'Note:', 'Luzuk' ),    
            'description'   => __( 'Changes will not reflect unless you select an image', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting('luzuk_them_ourfeatureshmp_npp_heading',array('sanitize_callback' => 'luzuk_them_sanitize_text'));
$wp_customize->add_control(
    new luzuk_them_Customize_Heading(
        $wp_customize,
        'luzuk_them_ourfeatureshmp_npp_heading',
        array(
            'settings'      => 'luzuk_them_ourfeatureshmp_npp_heading',
            'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
            'label'         => __( 'Number Of Packages To Show', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('luzuk_them_ourfeatureshmp_npp_count',array('sanitize_callback' => 'luzuk_them_sanitize_text','default' => 2));
$wp_customize->add_control(
    'luzuk_them_ourfeatureshmp_npp_count',
    array(
        'settings'      => 'luzuk_them_ourfeatureshmp_npp_count',
        'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
        'type'          => 'select',
        'label'         => __( 'Number of Package to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//about PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'luzuk_them_ourfeatureshmp_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_them_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_them_Customize_Heading(
            $wp_customize,
            'luzuk_them_ourfeatureshmp_header'.$i,
            array(
                'settings'      => 'luzuk_them_ourfeatureshmp_header'.$i,
                'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
                'label'         => __( 'Add Package Page ', 'luzuk-premium' ).$i
            )
        )
    );
    lzAddImageElement($wp_customize, 'luzuk_them_ourfeatureshmp_page_icon'.$i, 'luzuk_them_premium_ourfeatureshmp_section', $label="Recommended Image Size: 170X170px");

    lzAddElement($wp_customize, 'luzuk_them_ourfeatureshmp_page_title_'.$i, 'luzuk_them_premium_ourfeatureshmp_section', $type = 'text', $label="Title", $callback ='luzuk_them_sanitize_text', $default='Honeymoon Package');

    lzAddElement($wp_customize, 'luzuk_them_ourfeatureshmp_page_description_'.$i, 'luzuk_them_premium_ourfeatureshmp_section', $type = 'textarea', $label="Text Description", $callback ='luzuk_them_sanitize_text', $default=' Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue.');

      lzAddElement($wp_customize, 'luzuk_them_ourfeatureshmp_page_url_'.$i, 'luzuk_them_premium_ourfeatureshmp_section', $type = 'text', $label="Link", $callback ='esc_url', $default='Add link here');



// to show & hide another button
$wp_customize->add_setting( 'welcome_area_button' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'welcome_area_button', array( 'label' => 'Button Display', 'section' => 'luzuk_them_premium_ourfeatureshmp_section', 'settings' => 'welcome_area_button', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'welcomeareabutton',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( 'BOOK NOW' )
    )
);
$wp_customize->add_control(
    'welcomeareabutton',
    array(
        'settings'      => 'welcomeareabutton',
        'section'       => 'luzuk_them_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Add Button Text Here:', 'Unbox' )
    )
);


}
  //main Heading color

addColorPalatOption($wp_customize, 'luzuk_them_ourfeatureshmp_petsimhhvroverlaybgssColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Image Hover Overlay Background color ', '#ff7c4e');


addColorPalatOption($wp_customize, 'luzuk_them_ourfeatureshmp_pagettlColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Box Title color ', '#111111');
addColorPalatOption($wp_customize, 'luzuk_them_ourfeatureshmp_pagettlbrssColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Box Title Hover Border color ', '#fe6b59');

addColorPalatOption($wp_customize, 'luzuk_them_ourfeatureshmp_pagetextColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Box Description Text color ', '#686868');



addColorPalatOption($wp_customize, 'luzuk_them_ourpakg_buttontextColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Box Button Text & icon color ', '#ffffff');


addColorPalatOption($wp_customize, 'luzuk_them_ourpakg_buttonBgColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Box Button Background color ', '#fe6b59');

addColorPalatOption($wp_customize, 'luzuk_them_ourpakg_buttonhoverBgColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Box Button Hover Background color ', '#000000');

addColorPalatOption($wp_customize, 'luzuk_them_ourpakg_buttonhovertextColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Box Button Hover Text & icon color ', '#ffffff');

addColorPalatOption($wp_customize, 'pakegpageboxbgColor', 'luzuk_them_premium_ourfeatureshmp_section', 'Box Background color ', '#f6f6f6');

